XmActivateWMProtocol(3)

NAME
XmActivateWMProtocol — A VendorShell convenience interface that activates a protocol

SYNOPSIS

#include <Xm/Protocols.h>
void XmActivateWMProtocol(
Widget shell,
Atom protocol);

DESCRIPTION

XmActivateWMProtocol is a convenience interface. It calls XmActivateProtocol with the property value set to the atom returned by interning WM_PROTOCOLS.

shell
    Specifies the widget with which the protocol property is associated

protocol
    Specifies the protocol Atom

For a complete definition of VendorShell and its associated resources, see VendorShell(3).

RELATED

VendorShell(3), XmActivateProtocol(3), XmInternAtom(3), and XmRemoveWMProtocols(3).